## pbc-1.0.0.tar.gz

=== doc/Makefile ===
.PHONY: target clean sync gendoc

target: $(TARGETS)

TARGETS:=manual.html manual.txt manual.pdf manual/index.html chunked/index.html

TXTFILES:=preface.txt quickstart.txt basics.txt sigex.txt \
  pairingfns.txt elementfns.txt paramfns.txt miscfns.txt \
  bundle.txt internal.txt security.txt contributors.txt

GENFILES:=gen/*.txt

gendoc $(GENFILES) : ../*/*.h extract
	-rm $(GENFILES)
	-mkdir gen
	cat `grep -l '\/\*@manual' ../*/*.h` | ./extract
	for a in gen/*.*.txt; do b=$${a%.*.txt}.txt; cat $$a $$b > tmp; mv tmp $$b ; rm $$a; done

manual.xml: $(TXTFILES) $(GENFILES)
	( for FILE in $(TXTFILES) ; do cat $$FILE ; echo ; done ) | asciidoc -f macros.ad -d book -b docbook - > $@

chunked/index.html : manual.xml custom.xsl
	xmlto -o chunked -m custom.xsl html manual.xml

index.html : index.txt
	asciidoc -s $^

manual/index.html: manual.xml custom-pretty.xsl pretty.css index.html
	xmlto -m custom-pretty.xsl -o manual html manual.xml
	sed -i 's/xmlns:fo[^ ]*//g' manual/*.html
	-ls manual/*.html | xargs -n 1 tidy -utf8 -m -i -q
	./makeover
	cp find_selflink.js pretty.css manual/

manual.html : manual.xml custom-nochunks.xsl
	xmlto -m custom-nochunks.xsl html-nochunks manual.xml
	-tidy -utf8 -imq $@

manual.txt : manual.html
	html2text -nobs -style pretty manual.html > manual.txt

manual.pdf: manual.xml
	docbook2pdf manual.xml

clean:
	-rm -rf manual.xml manual.html manual chunked index.html

sync: $(TARGETS)
	rsync -r manual manual.html manual.txt chunked manual.pdf blynn@xenon.stanford.edu:pbc/

=== debian/changelog ===
libpbc (0.5.14) unstable; urgency=low

  * Update version number

 -- Jeroen Massar <massar@fsi.io>  Mon, 21 Jul 2014 11:55:42 +0200
  

libpbc (0.5.10) unstable; urgency=low

  * GIT DIFF STAT (from 0.5.9 to 0.5.10):
  *  NEWS                    |    4 +++
  *  configure.ac            |    2 +-
  *  debian/.gitignore       |    1 +
  *  debian/changelog        |   57 +++++++++++++++++++++++++++++++++++++++++++++++
  *  debian/control          |    8 +++---
  *  debian/copyright        |    6 ++--
  *  debian/mv_things.sh     |    8 +++++-
  *  doc/Makefile            |    2 +-
  *  doc/preface.txt         |    2 +-
  *  ecc/pairing.c           |   14 ++++++-----
  *  guru/prodpairing_test.c |   44 ++++++++++++++++++++++++++++++++++++
  *  include/pbc_pairing.h   |    4 +--
  *  makedeb.sh              |    8 ------
  *  simple.make             |   19 ++++++++++++++-
  *  test                    |   21 +++++++++++-----
  *  15 files changed, 163 insertions(+), 37 deletions(-)

 -- Paul Miller <jettero@cpan.org>  Sun, 24 Oct 2010 07:36:53 -0400

libpbc (0.5.9) unstable; urgency=low

  * GIT DIFF STAT (from 0.5.8 to 0.5.9):
  *  NEWS                  |    5 +++++
  *  arith/field.c         |   10 ++++++++--
  *  configure.ac          |    2 +-
  *  debian/.gitignore     |    1 +
  *  debian/changelog      |   38 ++++++++++++++++++++++++++++++++++++++
  *  debian/control        |    8 ++++----
  *  debian/copyright      |    6 +++---
  *  debian/mv_things.sh   |    8 ++++++--
  *  doc/preface.txt       |    2 +-
  *  ecc/pairing.c         |    4 +---
  *  include/pbc_pairing.h |    4 ----
  *  makedeb.sh            |    8 --------
  *  12 files changed, 68 insertions(+), 28 deletions(-)

 -- Paul Miller <jettero@cpan.org>  Fri, 22 Oct 2010 09:12:15 -0400

libpbc (0.5.8) unstable; urgency=low

  * GIT DIFF STAT (from 0.5.7-1):
  *  COPYING         |  827 +++++++++++--------------------------------------------
  *  NEWS            |    4 +
  *  configure.ac    |    2 +-
  *  doc/preface.txt |    2 +-
  *  4 files changed, 165 insertions(+), 670 deletions(-)

 -- Paul Miller <jettero@cpan.org>  Mon, 17 May 2010 20:21:34 -0400

libpbc (0.5.7-1) unstable; urgency=low

    * Bugfixes and speadups
    * a couple new functions

 -- Paul Miller <jettero@gmail.com>  Mon, 25 Jan 2010 08:47:00 -0500

libpbc (0.5.6-1) unstable; urgency=low

    * Projective coordinates for A1 pairings. Contributed by Zhang Ye.
    * Bugfix for affine coordinates for A pairings. Contributed by Zhang Ye.
    * Optionally suppress error messages. Based on code by Geremy Condra.

 -- Paul Miller <jettero@gmail.com>  Mon,  9 Nov 2009 07:05:00 -0500

libpbc (0.5.5-2) unstable; urgency=low

    * Trying out the new bison/flex rules in configure.ac

 -- Paul Miller <jettero@gmail.com>  Thu, 15 Aug 2009 09:41:00 -0400

libpbc (0.5.5-1) unstable; urgency=low

    * Bugfixes, et al

 -- Paul Miller <jettero@gmail.com>  Thu, 15 Aug 2009 09:41:00 -0400

libpbc (0.5.4-1) unstable; urgency=low

    * * Accessors for coordinates of points and coefficients of polynomials.

 -- Paul Miller <jettero@gmail.com>  Mon, 24 Aug 2009 21:27:00 -0400

libpbc (0.5.3-1) unstable; urgency=low

    * Revamped pairing-based calculator.

 -- Paul Miller <jettero@gmail.com>  Mon, 17 Aug 2009 16:00:00 -0400

libpbc (0.5.2-1) unstable; urgency=low

    * Fixed pbc_param_set_str().
    * Add DLL to Windows release.

 -- Paul Miller <jettero@gmail.com>  Wed, 05 Aug 2009 14:53:00 -0400

libpbc (0.5.1-2) unstable; urgency=low

    * pulled in the actual 0.5.1 files for this pack job

 -- Paul Miller <jettero@gmail.com>  Thu, 30 Jul 2009 13:10:00 -0400

libpbc (0.5.1-1) unstable; urgency=low

    * bugfixes for the new param init stuff

 -- Paul Miller <jettero@gmail.com>  Wed, 29 Jul 2009 20:50:00 -0400

libpbc (0.5.0-1) unstable; urgency=low

    * init and pairing params changes
    * refactored the API a bit, removed various things, exposed some things
    * refactored to avoid symbol pollution.

 -- Paul Miller <jettero@gmail.com>  Wed, 29 Jul 2009 08:57:00 -0400

libpbc (0.4.19-1) unstable; urgency=low

  * I decided to roll this into libpbc on gibhub.

 -- Paul Miller <jettero@gmail.com>  Wed, 06 May 2009 14:43:00 -0400

libpbc (0.4.18-1) unstable; urgency=low

  * I have my doubts about whether this will fix the bug I've been waiting on
    for over a year, but I might as well build the thing.

 -- Paul Miller <jettero@gmail.com>  Sat, 05 Jul 2008 07:05:00 -0400

libpbc (0.4.12-2) unstable; urgency=low

  * yeah, I did the -1 revision totally wrong, this'll probably be 100% better.

 -- Paul Miller <jettero@gmail.com>  Wed, 02 Jan 2008 07:00:03 -0500

=== debian/control ===
Source: libpbc
Priority: extra
Maintainer: Paul Miller <jettero@gmail.com>
Build-Depends: debhelper (>= 5), autotools-dev, libreadline-dev, flex, bison
Standards-Version: 3.7.2
Section: libs

Package: libpbc-dev
Section: libdevel
Architecture: any
Depends: libpbc0 (= ${source:Version})
Description: Pairing-Based Cryptography Library
  Pairing-based cryptography is a relatively young area of cryptography that
  revolves around a certain function with special properties.
   The PBC (Pairing-Based Cryptography) library is a free C library (released
  under the Lesser GNU Public License) built on the GMP library that performs
  the mathematical operations underlying pairing-based cryptosystem.
   The PBC library is designed to be the backbone of implementations of
  pairing-based cryptosystems, thus speed and portability are important goals.
  It provides routines such as elliptic curve generation, elliptic curve
  arithmetic and pairing computation. Thanks to the GMP library, despite being
  written in C, pairings times are reasonable.
   The API is abstract enough that the PBC library can be used even if the
  programmer possesses only an elementary understanding of pairings. There is
  no need to learn about elliptic curves or much of number theory. (The minimum
  requirement is some knowledge of cyclic groups and properties of the
  pairing.)
   This tutorial shows how to implement a pairing-based cryptosystem in a few
  lines using the PBC library.
   The PBC library can also be used to build conventional cryptosystems.

Package: libpbc0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: Pairing-Based Cryptography Library
  Pairing-based cryptography is a relatively young area of cryptography that
  revolves around a certain function with special properties.
   The PBC (Pairing-Based Cryptography) library is a free C library (released
  under the Lesser GNU Public License) built on the GMP library that performs
  the mathematical operations underlying pairing-based cryptosystem.
   The PBC library is designed to be the backbone of implementations of
  pairing-based cryptosystems, thus speed and portability are important goals.
  It provides routines such as elliptic curve generation, elliptic curve
  arithmetic and pairing computation. Thanks to the GMP library, despite being
  written in C, pairings times are reasonable.
   The API is abstract enough that the PBC library can be used even if the
  programmer possesses only an elementary understanding of pairings. There is
  no need to learn about elliptic curves or much of number theory. (The minimum
  requirement is some knowledge of cyclic groups and properties of the
  pairing.)
   This tutorial shows how to implement a pairing-based cryptosystem in a few
  lines using the PBC library.
   The PBC library can also be used to build conventional cryptosystems.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
SHELL=/bin/bash


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# shared library versions, option 1
version=2.0.5
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"

configure:
	[ -x ./configure ] || ./setup

build: build-stamp
build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) -j3

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
	# rm -f config.sub config.guess

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE)   DESTDIR=$(CURDIR)/debian/libpbc0 install
	bash debian/mv_things.sh $(CURDIR)/debian/libpbc0

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs NEWS
	dh_installdocs README COPYING AUTHORS
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
